/* This file is part of mtbe. See mtbe.c for copyright notice. */


#include <string.h>	/* for macro PERROR */
#include <errno.h>	/* for macro PERROR */


/* Default directory for locking */
#ifndef LOCK_DIR
  #define LOCK_DIR "/var/spool/uucp"
#endif

/* Default prefix for lock file */
#ifndef LOCK_PREFIX
  #define LOCK_PREFIX "/LCK.."
#endif

/* Default prefix for device files; should start and end with a '/' */
#ifndef DEV_DIR
  #define DEV_DIR "/dev/"
#endif

/* Do we force any kind of locking? */
#if defined(LOCK_ASCII)
  #ifdef LOCK_BINARY
    #error Lock files cannot be ASCII _and_ BINARY
  #else
    #define LOCKMODE lockascii
  #endif
#elif defined(LOCK_BINARY)
  #define LOCKMODE lockbinary
#endif
#if defined(ENABLE_SUID) && !defined(LOCKMODE)
  #define LOCKMODE none
#endif


/* The name of this program (set in main() and used by PERROR) */
extern char *progname;

/* a macro similar to perror()  -rv */
#define PERROR(x) \
  fprintf(stderr,"%s: " x ": %s (%d)\n", progname, strerror(errno),errno)


extern void Countdown(const int Delay);

